org.eclipse.actf.model.ui.editor.actions

## Class TextSizeMenu

- java.lang.Object
- - org.eclipse.jface.action.ContributionManager
  - - org.eclipse.jface.action.MenuManager
    - - org.eclipse.actf.model.ui.editor.actions.TextSizeMenu

All Implemented Interfaces:
  IContributionItem, IContributionManager, IMenuManager

    public class TextSizeMenu
    extends MenuManager

MenuManager for text size control

### Constructor Summary

Constructors
Constructor and Description
`TextSizeMenu(IWorkbenchWindow window)` Constructor of the class

### Method Summary

### Methods inherited from class org.eclipse.jface.action.MenuManager

`addMenuListener, createContextMenu, createMenuBar, createMenuBar, dispose, fill, fill, fill, fill, findMenuUsingPath, findUsingPath, getId, getImageDescriptor, getMenu, getMenuText, getOverrides, getParent, getRemoveAllWhenShown, isDynamic, isEnabled, isGroupMarker, isSeparator, isSubstituteFor, isVisible, markDirty, removeMenuListener, saveWidgetState, setActionDefinitionId, setOverrides, setParent, setRemoveAllWhenShown, setVisible, update, update, update, updateAll`

### Methods inherited from class org.eclipse.jface.action.ContributionManager

`add, add, appendToGroup, appendToGroup, find, getItems, getSize, indexOf, insert, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, prependToGroup, prependToGroup, remove, remove, removeAll, replaceItem`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IContributionManager

`add, add, appendToGroup, appendToGroup, find, getItems, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, prependToGroup, prependToGroup, remove, remove, removeAll`

### Methods inherited from interface org.eclipse.jface.action.IContributionItem

`isDirty`

### Constructor Detail

#### TextSizeMenu

    public TextSizeMenu(IWorkbenchWindow window)

Constructor of the class

Parameters:
  `window` - target `IWorkbenchWindow`